Changeset 6fb1852 in rtems


Ignore:
Timestamp:
Aug 31, 2011, 8:15:47 AM (10 years ago)
Author:
Ralf Corsepius <ralf.corsepius@…>
Branches:
4.11, 5, master
Children:
33378e65
Parents:
0f0ccb96
Message:

Regenerate.

Location:
contrib/crossrpms/rtems4.11
Files:
13 edited

Legend:

Unmodified
Added
Removed
  • contrib/crossrpms/rtems4.11/arm/rtems-4.11-arm-rtems4.11-gcc.spec

    r0f0ccb96 r6fb1852  
    5959Group:          Development/Tools
    6060Version:        %{gcc_rpmvers}
    61 Release:        6%{?dist}
     61Release:        7%{?dist}
    6262License:        GPL
    6363URL:            http://gcc.gnu.org
     
    231231%endif
    232232
    233 %if "%{gcc_version}" >= "4.2.0"
     233# Not strictly required, but patches may introduce a need to use them.
     234# For reasons of simplicity, always require them.
    234235BuildRequires:  flex bison
    235 %endif
    236 
    237236
    238237BuildRequires:  texinfo >= 4.2
     
    242241Requires:       rtems-4.11-arm-rtems4.11-binutils
    243242Requires:       rtems-4.11-arm-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
    244 Requires:       rtems-4.11-arm-rtems4.11-newlib = %{newlib_version}-16%{?dist}
     243Requires:       rtems-4.11-arm-rtems4.11-newlib = %{newlib_version}-17%{?dist}
    245244
    246245%if "%{gcc_version}" >= "4.5.0"
     
    303302cd ..
    304303
    305 %setup -q -T -D -n %{name}-%{version} -a1
     304%{?SOURCE1:%setup -q -T -D -n %{name}-%{version} -a1}
    306305cd gcc-%{gcc_pkgvers}
    307306%{?PATCH1:%patch1 -p1}
     
    357356%endif
    358357
    359 echo "RTEMS gcc-%{gcc_version}-6%{?dist}/newlib-%{newlib_version}-16%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
     358echo "RTEMS gcc-%{gcc_version}-7%{?dist}/newlib-%{newlib_version}-17%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
    360359
    361360
     
    642641# Version:        %{gcc_rpmvers}
    643642# Requires:       rtems-4.11-arm-rtems4.11-binutils
    644 # Requires:       rtems-4.11-arm-rtems4.11-newlib = %{newlib_version}-16%{?dist}
     643# Requires:       rtems-4.11-arm-rtems4.11-newlib = %{newlib_version}-17%{?dist}
    645644# License:      GPL
    646645
     
    660659Version:        %{gcc_rpmvers}
    661660%{?_with_noarch_subpackages:BuildArch: noarch}
    662 Requires:       rtems-4.11-arm-rtems4.11-newlib = %{newlib_version}-16%{?dist}
     661Requires:       rtems-4.11-arm-rtems4.11-newlib = %{newlib_version}-17%{?dist}
    663662License:        GPL
    664663
     
    839838License:        Distributable
    840839Version:        %{newlib_version}
    841 Release:        16%{?dist}
     840Release:        17%{?dist}
    842841%{?_with_noarch_subpackages:BuildArch: noarch}
    843842
     
    860859Group:          Development/Tools
    861860Version:        %{newlib_version}
    862 Release:        16%{?dist}
     861Release:        17%{?dist}
    863862%{?_with_noarch_subpackages:BuildArch: noarch}
    864863License:        Distributable
  • contrib/crossrpms/rtems4.11/avr/rtems-4.11-avr-rtems4.11-gcc.spec

    r0f0ccb96 r6fb1852  
    5959Group:          Development/Tools
    6060Version:        %{gcc_rpmvers}
    61 Release:        6%{?dist}
     61Release:        7%{?dist}
    6262License:        GPL
    6363URL:            http://gcc.gnu.org
     
    231231%endif
    232232
    233 %if "%{gcc_version}" >= "4.2.0"
     233# Not strictly required, but patches may introduce a need to use them.
     234# For reasons of simplicity, always require them.
    234235BuildRequires:  flex bison
    235 %endif
    236 
    237236
    238237BuildRequires:  texinfo >= 4.2
     
    242241Requires:       rtems-4.11-avr-rtems4.11-binutils
    243242Requires:       rtems-4.11-avr-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
    244 Requires:       rtems-4.11-avr-rtems4.11-newlib = %{newlib_version}-16%{?dist}
     243Requires:       rtems-4.11-avr-rtems4.11-newlib = %{newlib_version}-17%{?dist}
    245244
    246245%if "%{gcc_version}" >= "4.5.0"
     
    345344%endif
    346345
    347 echo "RTEMS gcc-%{gcc_version}-6%{?dist}/newlib-%{newlib_version}-16%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
     346echo "RTEMS gcc-%{gcc_version}-7%{?dist}/newlib-%{newlib_version}-17%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
    348347
    349348
     
    629628# Version:        %{gcc_rpmvers}
    630629# Requires:       rtems-4.11-avr-rtems4.11-binutils
    631 # Requires:       rtems-4.11-avr-rtems4.11-newlib = %{newlib_version}-16%{?dist}
     630# Requires:       rtems-4.11-avr-rtems4.11-newlib = %{newlib_version}-17%{?dist}
    632631# License:      GPL
    633632
     
    647646Version:        %{gcc_rpmvers}
    648647%{?_with_noarch_subpackages:BuildArch: noarch}
    649 Requires:       rtems-4.11-avr-rtems4.11-newlib = %{newlib_version}-16%{?dist}
     648Requires:       rtems-4.11-avr-rtems4.11-newlib = %{newlib_version}-17%{?dist}
    650649License:        GPL
    651650
     
    765764License:        Distributable
    766765Version:        %{newlib_version}
    767 Release:        16%{?dist}
     766Release:        17%{?dist}
    768767%{?_with_noarch_subpackages:BuildArch: noarch}
    769768
     
    786785Group:          Development/Tools
    787786Version:        %{newlib_version}
    788 Release:        16%{?dist}
     787Release:        17%{?dist}
    789788%{?_with_noarch_subpackages:BuildArch: noarch}
    790789License:        Distributable
  • contrib/crossrpms/rtems4.11/bfin/rtems-4.11-bfin-rtems4.11-gcc.spec

    r0f0ccb96 r6fb1852  
    5959Group:          Development/Tools
    6060Version:        %{gcc_rpmvers}
    61 Release:        6%{?dist}
     61Release:        7%{?dist}
    6262License:        GPL
    6363URL:            http://gcc.gnu.org
     
    231231%endif
    232232
    233 %if "%{gcc_version}" >= "4.2.0"
     233# Not strictly required, but patches may introduce a need to use them.
     234# For reasons of simplicity, always require them.
    234235BuildRequires:  flex bison
    235 %endif
    236 
    237236
    238237BuildRequires:  texinfo >= 4.2
     
    242241Requires:       rtems-4.11-bfin-rtems4.11-binutils
    243242Requires:       rtems-4.11-bfin-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
    244 Requires:       rtems-4.11-bfin-rtems4.11-newlib = %{newlib_version}-16%{?dist}
     243Requires:       rtems-4.11-bfin-rtems4.11-newlib = %{newlib_version}-17%{?dist}
    245244
    246245%if "%{gcc_version}" >= "4.5.0"
     
    303302cd ..
    304303
    305 %setup -q -T -D -n %{name}-%{version} -a1
     304%{?SOURCE1:%setup -q -T -D -n %{name}-%{version} -a1}
    306305cd gcc-%{gcc_pkgvers}
    307306%{?PATCH1:%patch1 -p1}
     
    357356%endif
    358357
    359 echo "RTEMS gcc-%{gcc_version}-6%{?dist}/newlib-%{newlib_version}-16%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
     358echo "RTEMS gcc-%{gcc_version}-7%{?dist}/newlib-%{newlib_version}-17%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
    360359
    361360
     
    642641# Version:        %{gcc_rpmvers}
    643642# Requires:       rtems-4.11-bfin-rtems4.11-binutils
    644 # Requires:       rtems-4.11-bfin-rtems4.11-newlib = %{newlib_version}-16%{?dist}
     643# Requires:       rtems-4.11-bfin-rtems4.11-newlib = %{newlib_version}-17%{?dist}
    645644# License:      GPL
    646645
     
    660659Version:        %{gcc_rpmvers}
    661660%{?_with_noarch_subpackages:BuildArch: noarch}
    662 Requires:       rtems-4.11-bfin-rtems4.11-newlib = %{newlib_version}-16%{?dist}
     661Requires:       rtems-4.11-bfin-rtems4.11-newlib = %{newlib_version}-17%{?dist}
    663662License:        GPL
    664663
     
    838837License:        Distributable
    839838Version:        %{newlib_version}
    840 Release:        16%{?dist}
     839Release:        17%{?dist}
    841840%{?_with_noarch_subpackages:BuildArch: noarch}
    842841
     
    859858Group:          Development/Tools
    860859Version:        %{newlib_version}
    861 Release:        16%{?dist}
     860Release:        17%{?dist}
    862861%{?_with_noarch_subpackages:BuildArch: noarch}
    863862License:        Distributable
  • contrib/crossrpms/rtems4.11/h8300/rtems-4.11-h8300-rtems4.11-gcc.spec

    r0f0ccb96 r6fb1852  
    5959Group:          Development/Tools
    6060Version:        %{gcc_rpmvers}
    61 Release:        6%{?dist}
     61Release:        7%{?dist}
    6262License:        GPL
    6363URL:            http://gcc.gnu.org
     
    231231%endif
    232232
    233 %if "%{gcc_version}" >= "4.2.0"
     233# Not strictly required, but patches may introduce a need to use them.
     234# For reasons of simplicity, always require them.
    234235BuildRequires:  flex bison
    235 %endif
    236 
    237236
    238237BuildRequires:  texinfo >= 4.2
     
    242241Requires:       rtems-4.11-h8300-rtems4.11-binutils
    243242Requires:       rtems-4.11-h8300-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
    244 Requires:       rtems-4.11-h8300-rtems4.11-newlib = %{newlib_version}-13%{?dist}
     243Requires:       rtems-4.11-h8300-rtems4.11-newlib = %{newlib_version}-14%{?dist}
    245244
    246245%if "%{gcc_version}" >= "4.5.0"
     
    303302cd ..
    304303
    305 %setup -q -T -D -n %{name}-%{version} -a1
     304%{?SOURCE1:%setup -q -T -D -n %{name}-%{version} -a1}
    306305cd gcc-%{gcc_pkgvers}
    307306%{?PATCH1:%patch1 -p1}
     
    357356%endif
    358357
    359 echo "RTEMS gcc-%{gcc_version}-6%{?dist}/newlib-%{newlib_version}-13%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
     358echo "RTEMS gcc-%{gcc_version}-7%{?dist}/newlib-%{newlib_version}-14%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
    360359
    361360
     
    642641# Version:        %{gcc_rpmvers}
    643642# Requires:       rtems-4.11-h8300-rtems4.11-binutils
    644 # Requires:       rtems-4.11-h8300-rtems4.11-newlib = %{newlib_version}-13%{?dist}
     643# Requires:       rtems-4.11-h8300-rtems4.11-newlib = %{newlib_version}-14%{?dist}
    645644# License:      GPL
    646645
     
    660659Version:        %{gcc_rpmvers}
    661660%{?_with_noarch_subpackages:BuildArch: noarch}
    662 Requires:       rtems-4.11-h8300-rtems4.11-newlib = %{newlib_version}-13%{?dist}
     661Requires:       rtems-4.11-h8300-rtems4.11-newlib = %{newlib_version}-14%{?dist}
    663662License:        GPL
    664663
     
    839838License:        Distributable
    840839Version:        %{newlib_version}
    841 Release:        13%{?dist}
     840Release:        14%{?dist}
    842841%{?_with_noarch_subpackages:BuildArch: noarch}
    843842
     
    860859Group:          Development/Tools
    861860Version:        %{newlib_version}
    862 Release:        13%{?dist}
     861Release:        14%{?dist}
    863862%{?_with_noarch_subpackages:BuildArch: noarch}
    864863License:        Distributable
  • contrib/crossrpms/rtems4.11/i386/rtems-4.11-i386-rtems4.11-gcc.spec

    r0f0ccb96 r6fb1852  
    5959Group:          Development/Tools
    6060Version:        %{gcc_rpmvers}
    61 Release:        6%{?dist}
     61Release:        7%{?dist}
    6262License:        GPL
    6363URL:            http://gcc.gnu.org
     
    231231%endif
    232232
    233 %if "%{gcc_version}" >= "4.2.0"
     233# Not strictly required, but patches may introduce a need to use them.
     234# For reasons of simplicity, always require them.
    234235BuildRequires:  flex bison
    235 %endif
    236 
    237236
    238237BuildRequires:  texinfo >= 4.2
     
    242241Requires:       rtems-4.11-i386-rtems4.11-binutils
    243242Requires:       rtems-4.11-i386-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
    244 Requires:       rtems-4.11-i386-rtems4.11-newlib = %{newlib_version}-16%{?dist}
     243Requires:       rtems-4.11-i386-rtems4.11-newlib = %{newlib_version}-17%{?dist}
    245244
    246245%if "%{gcc_version}" >= "4.5.0"
     
    303302cd ..
    304303
    305 %setup -q -T -D -n %{name}-%{version} -a1
     304%{?SOURCE1:%setup -q -T -D -n %{name}-%{version} -a1}
    306305cd gcc-%{gcc_pkgvers}
    307306%{?PATCH1:%patch1 -p1}
     
    357356%endif
    358357
    359 echo "RTEMS gcc-%{gcc_version}-6%{?dist}/newlib-%{newlib_version}-16%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
     358echo "RTEMS gcc-%{gcc_version}-7%{?dist}/newlib-%{newlib_version}-17%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
    360359
    361360
     
    642641# Version:        %{gcc_rpmvers}
    643642# Requires:       rtems-4.11-i386-rtems4.11-binutils
    644 # Requires:       rtems-4.11-i386-rtems4.11-newlib = %{newlib_version}-16%{?dist}
     643# Requires:       rtems-4.11-i386-rtems4.11-newlib = %{newlib_version}-17%{?dist}
    645644# License:      GPL
    646645
     
    660659Version:        %{gcc_rpmvers}
    661660%{?_with_noarch_subpackages:BuildArch: noarch}
    662 Requires:       rtems-4.11-i386-rtems4.11-newlib = %{newlib_version}-16%{?dist}
     661Requires:       rtems-4.11-i386-rtems4.11-newlib = %{newlib_version}-17%{?dist}
    663662License:        GPL
    664663
     
    839838License:        Distributable
    840839Version:        %{newlib_version}
    841 Release:        16%{?dist}
     840Release:        17%{?dist}
    842841%{?_with_noarch_subpackages:BuildArch: noarch}
    843842
     
    860859Group:          Development/Tools
    861860Version:        %{newlib_version}
    862 Release:        16%{?dist}
     861Release:        17%{?dist}
    863862%{?_with_noarch_subpackages:BuildArch: noarch}
    864863License:        Distributable
  • contrib/crossrpms/rtems4.11/lm32/rtems-4.11-lm32-rtems4.11-gcc.spec

    r0f0ccb96 r6fb1852  
    5959Group:          Development/Tools
    6060Version:        %{gcc_rpmvers}
    61 Release:        6%{?dist}
     61Release:        7%{?dist}
    6262License:        GPL
    6363URL:            http://gcc.gnu.org
     
    231231%endif
    232232
    233 %if "%{gcc_version}" >= "4.2.0"
     233# Not strictly required, but patches may introduce a need to use them.
     234# For reasons of simplicity, always require them.
    234235BuildRequires:  flex bison
    235 %endif
    236 
    237236
    238237BuildRequires:  texinfo >= 4.2
     
    242241Requires:       rtems-4.11-lm32-rtems4.11-binutils
    243242Requires:       rtems-4.11-lm32-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
    244 Requires:       rtems-4.11-lm32-rtems4.11-newlib = %{newlib_version}-13%{?dist}
     243Requires:       rtems-4.11-lm32-rtems4.11-newlib = %{newlib_version}-14%{?dist}
    245244
    246245%if "%{gcc_version}" >= "4.5.0"
     
    303302cd ..
    304303
    305 %setup -q -T -D -n %{name}-%{version} -a1
     304%{?SOURCE1:%setup -q -T -D -n %{name}-%{version} -a1}
    306305cd gcc-%{gcc_pkgvers}
    307306%{?PATCH1:%patch1 -p1}
     
    357356%endif
    358357
    359 echo "RTEMS gcc-%{gcc_version}-6%{?dist}/newlib-%{newlib_version}-13%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
     358echo "RTEMS gcc-%{gcc_version}-7%{?dist}/newlib-%{newlib_version}-14%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
    360359
    361360
     
    642641# Version:        %{gcc_rpmvers}
    643642# Requires:       rtems-4.11-lm32-rtems4.11-binutils
    644 # Requires:       rtems-4.11-lm32-rtems4.11-newlib = %{newlib_version}-13%{?dist}
     643# Requires:       rtems-4.11-lm32-rtems4.11-newlib = %{newlib_version}-14%{?dist}
    645644# License:      GPL
    646645
     
    660659Version:        %{gcc_rpmvers}
    661660%{?_with_noarch_subpackages:BuildArch: noarch}
    662 Requires:       rtems-4.11-lm32-rtems4.11-newlib = %{newlib_version}-13%{?dist}
     661Requires:       rtems-4.11-lm32-rtems4.11-newlib = %{newlib_version}-14%{?dist}
    663662License:        GPL
    664663
     
    839838License:        Distributable
    840839Version:        %{newlib_version}
    841 Release:        13%{?dist}
     840Release:        14%{?dist}
    842841%{?_with_noarch_subpackages:BuildArch: noarch}
    843842
     
    860859Group:          Development/Tools
    861860Version:        %{newlib_version}
    862 Release:        13%{?dist}
     861Release:        14%{?dist}
    863862%{?_with_noarch_subpackages:BuildArch: noarch}
    864863License:        Distributable
  • contrib/crossrpms/rtems4.11/m32c/rtems-4.11-m32c-rtems4.11-gcc.spec

    r0f0ccb96 r6fb1852  
    5959Group:          Development/Tools
    6060Version:        %{gcc_rpmvers}
    61 Release:        6%{?dist}
     61Release:        7%{?dist}
    6262License:        GPL
    6363URL:            http://gcc.gnu.org
     
    231231%endif
    232232
    233 %if "%{gcc_version}" >= "4.2.0"
     233# Not strictly required, but patches may introduce a need to use them.
     234# For reasons of simplicity, always require them.
    234235BuildRequires:  flex bison
    235 %endif
    236 
    237236
    238237BuildRequires:  texinfo >= 4.2
     
    242241Requires:       rtems-4.11-m32c-rtems4.11-binutils
    243242Requires:       rtems-4.11-m32c-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
    244 Requires:       rtems-4.11-m32c-rtems4.11-newlib = %{newlib_version}-16%{?dist}
     243Requires:       rtems-4.11-m32c-rtems4.11-newlib = %{newlib_version}-17%{?dist}
    245244
    246245%if "%{gcc_version}" >= "4.5.0"
     
    345344%endif
    346345
    347 echo "RTEMS gcc-%{gcc_version}-6%{?dist}/newlib-%{newlib_version}-16%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
     346echo "RTEMS gcc-%{gcc_version}-7%{?dist}/newlib-%{newlib_version}-17%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
    348347
    349348
     
    629628# Version:        %{gcc_rpmvers}
    630629# Requires:       rtems-4.11-m32c-rtems4.11-binutils
    631 # Requires:       rtems-4.11-m32c-rtems4.11-newlib = %{newlib_version}-16%{?dist}
     630# Requires:       rtems-4.11-m32c-rtems4.11-newlib = %{newlib_version}-17%{?dist}
    632631# License:      GPL
    633632
     
    647646Version:        %{gcc_rpmvers}
    648647%{?_with_noarch_subpackages:BuildArch: noarch}
    649 Requires:       rtems-4.11-m32c-rtems4.11-newlib = %{newlib_version}-16%{?dist}
     648Requires:       rtems-4.11-m32c-rtems4.11-newlib = %{newlib_version}-17%{?dist}
    650649License:        GPL
    651650
     
    766765License:        Distributable
    767766Version:        %{newlib_version}
    768 Release:        16%{?dist}
     767Release:        17%{?dist}
    769768%{?_with_noarch_subpackages:BuildArch: noarch}
    770769
     
    787786Group:          Development/Tools
    788787Version:        %{newlib_version}
    789 Release:        16%{?dist}
     788Release:        17%{?dist}
    790789%{?_with_noarch_subpackages:BuildArch: noarch}
    791790License:        Distributable
  • contrib/crossrpms/rtems4.11/m32r/rtems-4.11-m32r-rtems4.11-gcc.spec

    r0f0ccb96 r6fb1852  
    5959Group:          Development/Tools
    6060Version:        %{gcc_rpmvers}
    61 Release:        6%{?dist}
     61Release:        7%{?dist}
    6262License:        GPL
    6363URL:            http://gcc.gnu.org
     
    231231%endif
    232232
    233 %if "%{gcc_version}" >= "4.2.0"
     233# Not strictly required, but patches may introduce a need to use them.
     234# For reasons of simplicity, always require them.
    234235BuildRequires:  flex bison
    235 %endif
    236 
    237236
    238237BuildRequires:  texinfo >= 4.2
     
    242241Requires:       rtems-4.11-m32r-rtems4.11-binutils
    243242Requires:       rtems-4.11-m32r-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
    244 Requires:       rtems-4.11-m32r-rtems4.11-newlib = %{newlib_version}-16%{?dist}
     243Requires:       rtems-4.11-m32r-rtems4.11-newlib = %{newlib_version}-17%{?dist}
    245244
    246245%if "%{gcc_version}" >= "4.5.0"
     
    345344%endif
    346345
    347 echo "RTEMS gcc-%{gcc_version}-6%{?dist}/newlib-%{newlib_version}-16%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
     346echo "RTEMS gcc-%{gcc_version}-7%{?dist}/newlib-%{newlib_version}-17%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
    348347
    349348
     
    629628# Version:        %{gcc_rpmvers}
    630629# Requires:       rtems-4.11-m32r-rtems4.11-binutils
    631 # Requires:       rtems-4.11-m32r-rtems4.11-newlib = %{newlib_version}-16%{?dist}
     630# Requires:       rtems-4.11-m32r-rtems4.11-newlib = %{newlib_version}-17%{?dist}
    632631# License:      GPL
    633632
     
    647646Version:        %{gcc_rpmvers}
    648647%{?_with_noarch_subpackages:BuildArch: noarch}
    649 Requires:       rtems-4.11-m32r-rtems4.11-newlib = %{newlib_version}-16%{?dist}
     648Requires:       rtems-4.11-m32r-rtems4.11-newlib = %{newlib_version}-17%{?dist}
    650649License:        GPL
    651650
     
    766765License:        Distributable
    767766Version:        %{newlib_version}
    768 Release:        16%{?dist}
     767Release:        17%{?dist}
    769768%{?_with_noarch_subpackages:BuildArch: noarch}
    770769
     
    787786Group:          Development/Tools
    788787Version:        %{newlib_version}
    789 Release:        16%{?dist}
     788Release:        17%{?dist}
    790789%{?_with_noarch_subpackages:BuildArch: noarch}
    791790License:        Distributable
  • contrib/crossrpms/rtems4.11/m68k/rtems-4.11-m68k-rtems4.11-gcc.spec

    r0f0ccb96 r6fb1852  
    5959Group:          Development/Tools
    6060Version:        %{gcc_rpmvers}
    61 Release:        6%{?dist}
     61Release:        7%{?dist}
    6262License:        GPL
    6363URL:            http://gcc.gnu.org
     
    231231%endif
    232232
    233 %if "%{gcc_version}" >= "4.2.0"
     233# Not strictly required, but patches may introduce a need to use them.
     234# For reasons of simplicity, always require them.
    234235BuildRequires:  flex bison
    235 %endif
    236 
    237236
    238237BuildRequires:  texinfo >= 4.2
     
    242241Requires:       rtems-4.11-m68k-rtems4.11-binutils
    243242Requires:       rtems-4.11-m68k-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
    244 Requires:       rtems-4.11-m68k-rtems4.11-newlib = %{newlib_version}-16%{?dist}
     243Requires:       rtems-4.11-m68k-rtems4.11-newlib = %{newlib_version}-17%{?dist}
    245244
    246245%if "%{gcc_version}" >= "4.5.0"
     
    303302cd ..
    304303
    305 %setup -q -T -D -n %{name}-%{version} -a1
     304%{?SOURCE1:%setup -q -T -D -n %{name}-%{version} -a1}
    306305cd gcc-%{gcc_pkgvers}
    307306%{?PATCH1:%patch1 -p1}
     
    357356%endif
    358357
    359 echo "RTEMS gcc-%{gcc_version}-6%{?dist}/newlib-%{newlib_version}-16%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
     358echo "RTEMS gcc-%{gcc_version}-7%{?dist}/newlib-%{newlib_version}-17%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
    360359
    361360
     
    642641# Version:        %{gcc_rpmvers}
    643642# Requires:       rtems-4.11-m68k-rtems4.11-binutils
    644 # Requires:       rtems-4.11-m68k-rtems4.11-newlib = %{newlib_version}-16%{?dist}
     643# Requires:       rtems-4.11-m68k-rtems4.11-newlib = %{newlib_version}-17%{?dist}
    645644# License:      GPL
    646645
     
    660659Version:        %{gcc_rpmvers}
    661660%{?_with_noarch_subpackages:BuildArch: noarch}
    662 Requires:       rtems-4.11-m68k-rtems4.11-newlib = %{newlib_version}-16%{?dist}
     661Requires:       rtems-4.11-m68k-rtems4.11-newlib = %{newlib_version}-17%{?dist}
    663662License:        GPL
    664663
     
    839838License:        Distributable
    840839Version:        %{newlib_version}
    841 Release:        16%{?dist}
     840Release:        17%{?dist}
    842841%{?_with_noarch_subpackages:BuildArch: noarch}
    843842
     
    860859Group:          Development/Tools
    861860Version:        %{newlib_version}
    862 Release:        16%{?dist}
     861Release:        17%{?dist}
    863862%{?_with_noarch_subpackages:BuildArch: noarch}
    864863License:        Distributable
  • contrib/crossrpms/rtems4.11/mips/rtems-4.11-mips-rtems4.11-gcc.spec

    r0f0ccb96 r6fb1852  
    5959Group:          Development/Tools
    6060Version:        %{gcc_rpmvers}
    61 Release:        6%{?dist}
     61Release:        7%{?dist}
    6262License:        GPL
    6363URL:            http://gcc.gnu.org
     
    231231%endif
    232232
    233 %if "%{gcc_version}" >= "4.2.0"
     233# Not strictly required, but patches may introduce a need to use them.
     234# For reasons of simplicity, always require them.
    234235BuildRequires:  flex bison
    235 %endif
    236 
    237236
    238237BuildRequires:  texinfo >= 4.2
     
    242241Requires:       rtems-4.11-mips-rtems4.11-binutils
    243242Requires:       rtems-4.11-mips-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
    244 Requires:       rtems-4.11-mips-rtems4.11-newlib = %{newlib_version}-16%{?dist}
     243Requires:       rtems-4.11-mips-rtems4.11-newlib = %{newlib_version}-17%{?dist}
    245244
    246245%if "%{gcc_version}" >= "4.5.0"
     
    303302cd ..
    304303
    305 %setup -q -T -D -n %{name}-%{version} -a1
     304%{?SOURCE1:%setup -q -T -D -n %{name}-%{version} -a1}
    306305cd gcc-%{gcc_pkgvers}
    307306%{?PATCH1:%patch1 -p1}
     
    357356%endif
    358357
    359 echo "RTEMS gcc-%{gcc_version}-6%{?dist}/newlib-%{newlib_version}-16%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
     358echo "RTEMS gcc-%{gcc_version}-7%{?dist}/newlib-%{newlib_version}-17%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
    360359
    361360
     
    642641# Version:        %{gcc_rpmvers}
    643642# Requires:       rtems-4.11-mips-rtems4.11-binutils
    644 # Requires:       rtems-4.11-mips-rtems4.11-newlib = %{newlib_version}-16%{?dist}
     643# Requires:       rtems-4.11-mips-rtems4.11-newlib = %{newlib_version}-17%{?dist}
    645644# License:      GPL
    646645
     
    660659Version:        %{gcc_rpmvers}
    661660%{?_with_noarch_subpackages:BuildArch: noarch}
    662 Requires:       rtems-4.11-mips-rtems4.11-newlib = %{newlib_version}-16%{?dist}
     661Requires:       rtems-4.11-mips-rtems4.11-newlib = %{newlib_version}-17%{?dist}
    663662License:        GPL
    664663
     
    839838License:        Distributable
    840839Version:        %{newlib_version}
    841 Release:        16%{?dist}
     840Release:        17%{?dist}
    842841%{?_with_noarch_subpackages:BuildArch: noarch}
    843842
     
    860859Group:          Development/Tools
    861860Version:        %{newlib_version}
    862 Release:        16%{?dist}
     861Release:        17%{?dist}
    863862%{?_with_noarch_subpackages:BuildArch: noarch}
    864863License:        Distributable
  • contrib/crossrpms/rtems4.11/sh/rtems-4.11-sh-rtems4.11-gcc.spec

    r0f0ccb96 r6fb1852  
    5959Group:          Development/Tools
    6060Version:        %{gcc_rpmvers}
    61 Release:        6%{?dist}
     61Release:        7%{?dist}
    6262License:        GPL
    6363URL:            http://gcc.gnu.org
     
    231231%endif
    232232
    233 %if "%{gcc_version}" >= "4.2.0"
     233# Not strictly required, but patches may introduce a need to use them.
     234# For reasons of simplicity, always require them.
    234235BuildRequires:  flex bison
    235 %endif
    236 
    237236
    238237BuildRequires:  texinfo >= 4.2
     
    242241Requires:       rtems-4.11-sh-rtems4.11-binutils
    243242Requires:       rtems-4.11-sh-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
    244 Requires:       rtems-4.11-sh-rtems4.11-newlib = %{newlib_version}-16%{?dist}
     243Requires:       rtems-4.11-sh-rtems4.11-newlib = %{newlib_version}-17%{?dist}
    245244
    246245%if "%{gcc_version}" >= "4.5.0"
     
    303302cd ..
    304303
    305 %setup -q -T -D -n %{name}-%{version} -a1
     304%{?SOURCE1:%setup -q -T -D -n %{name}-%{version} -a1}
    306305cd gcc-%{gcc_pkgvers}
    307306%{?PATCH1:%patch1 -p1}
     
    357356%endif
    358357
    359 echo "RTEMS gcc-%{gcc_version}-6%{?dist}/newlib-%{newlib_version}-16%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
     358echo "RTEMS gcc-%{gcc_version}-7%{?dist}/newlib-%{newlib_version}-17%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
    360359
    361360
     
    642641# Version:        %{gcc_rpmvers}
    643642# Requires:       rtems-4.11-sh-rtems4.11-binutils
    644 # Requires:       rtems-4.11-sh-rtems4.11-newlib = %{newlib_version}-16%{?dist}
     643# Requires:       rtems-4.11-sh-rtems4.11-newlib = %{newlib_version}-17%{?dist}
    645644# License:      GPL
    646645
     
    660659Version:        %{gcc_rpmvers}
    661660%{?_with_noarch_subpackages:BuildArch: noarch}
    662 Requires:       rtems-4.11-sh-rtems4.11-newlib = %{newlib_version}-16%{?dist}
     661Requires:       rtems-4.11-sh-rtems4.11-newlib = %{newlib_version}-17%{?dist}
    663662License:        GPL
    664663
     
    839838License:        Distributable
    840839Version:        %{newlib_version}
    841 Release:        16%{?dist}
     840Release:        17%{?dist}
    842841%{?_with_noarch_subpackages:BuildArch: noarch}
    843842
     
    860859Group:          Development/Tools
    861860Version:        %{newlib_version}
    862 Release:        16%{?dist}
     861Release:        17%{?dist}
    863862%{?_with_noarch_subpackages:BuildArch: noarch}
    864863License:        Distributable
  • contrib/crossrpms/rtems4.11/sparc/rtems-4.11-sparc-rtems4.11-gcc.spec

    r0f0ccb96 r6fb1852  
    5959Group:          Development/Tools
    6060Version:        %{gcc_rpmvers}
    61 Release:        6%{?dist}
     61Release:        7%{?dist}
    6262License:        GPL
    6363URL:            http://gcc.gnu.org
     
    231231%endif
    232232
    233 %if "%{gcc_version}" >= "4.2.0"
     233# Not strictly required, but patches may introduce a need to use them.
     234# For reasons of simplicity, always require them.
    234235BuildRequires:  flex bison
    235 %endif
    236 
    237236
    238237BuildRequires:  texinfo >= 4.2
     
    242241Requires:       rtems-4.11-sparc-rtems4.11-binutils
    243242Requires:       rtems-4.11-sparc-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
    244 Requires:       rtems-4.11-sparc-rtems4.11-newlib = %{newlib_version}-16%{?dist}
     243Requires:       rtems-4.11-sparc-rtems4.11-newlib = %{newlib_version}-17%{?dist}
    245244
    246245%if "%{gcc_version}" >= "4.5.0"
     
    303302cd ..
    304303
    305 %setup -q -T -D -n %{name}-%{version} -a1
     304%{?SOURCE1:%setup -q -T -D -n %{name}-%{version} -a1}
    306305cd gcc-%{gcc_pkgvers}
    307306%{?PATCH1:%patch1 -p1}
     
    357356%endif
    358357
    359 echo "RTEMS gcc-%{gcc_version}-6%{?dist}/newlib-%{newlib_version}-16%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
     358echo "RTEMS gcc-%{gcc_version}-7%{?dist}/newlib-%{newlib_version}-17%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
    360359
    361360
     
    642641# Version:        %{gcc_rpmvers}
    643642# Requires:       rtems-4.11-sparc-rtems4.11-binutils
    644 # Requires:       rtems-4.11-sparc-rtems4.11-newlib = %{newlib_version}-16%{?dist}
     643# Requires:       rtems-4.11-sparc-rtems4.11-newlib = %{newlib_version}-17%{?dist}
    645644# License:      GPL
    646645
     
    660659Version:        %{gcc_rpmvers}
    661660%{?_with_noarch_subpackages:BuildArch: noarch}
    662 Requires:       rtems-4.11-sparc-rtems4.11-newlib = %{newlib_version}-16%{?dist}
     661Requires:       rtems-4.11-sparc-rtems4.11-newlib = %{newlib_version}-17%{?dist}
    663662License:        GPL
    664663
     
    839838License:        Distributable
    840839Version:        %{newlib_version}
    841 Release:        16%{?dist}
     840Release:        17%{?dist}
    842841%{?_with_noarch_subpackages:BuildArch: noarch}
    843842
     
    860859Group:          Development/Tools
    861860Version:        %{newlib_version}
    862 Release:        16%{?dist}
     861Release:        17%{?dist}
    863862%{?_with_noarch_subpackages:BuildArch: noarch}
    864863License:        Distributable
  • contrib/crossrpms/rtems4.11/sparc64/rtems-4.11-sparc64-rtems4.11-gcc.spec

    r0f0ccb96 r6fb1852  
    5959Group:          Development/Tools
    6060Version:        %{gcc_rpmvers}
    61 Release:        6%{?dist}
     61Release:        7%{?dist}
    6262License:        GPL
    6363URL:            http://gcc.gnu.org
     
    231231%endif
    232232
    233 %if "%{gcc_version}" >= "4.2.0"
     233# Not strictly required, but patches may introduce a need to use them.
     234# For reasons of simplicity, always require them.
    234235BuildRequires:  flex bison
    235 %endif
    236 
    237236
    238237BuildRequires:  texinfo >= 4.2
     
    242241Requires:       rtems-4.11-sparc64-rtems4.11-binutils
    243242Requires:       rtems-4.11-sparc64-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
    244 Requires:       rtems-4.11-sparc64-rtems4.11-newlib = %{newlib_version}-16%{?dist}
     243Requires:       rtems-4.11-sparc64-rtems4.11-newlib = %{newlib_version}-17%{?dist}
    245244
    246245%if "%{gcc_version}" >= "4.5.0"
     
    303302cd ..
    304303
    305 %setup -q -T -D -n %{name}-%{version} -a1
     304%{?SOURCE1:%setup -q -T -D -n %{name}-%{version} -a1}
    306305cd gcc-%{gcc_pkgvers}
    307306%{?PATCH1:%patch1 -p1}
     
    357356%endif
    358357
    359 echo "RTEMS gcc-%{gcc_version}-6%{?dist}/newlib-%{newlib_version}-16%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
     358echo "RTEMS gcc-%{gcc_version}-7%{?dist}/newlib-%{newlib_version}-17%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
    360359
    361360
     
    642641# Version:        %{gcc_rpmvers}
    643642# Requires:       rtems-4.11-sparc64-rtems4.11-binutils
    644 # Requires:       rtems-4.11-sparc64-rtems4.11-newlib = %{newlib_version}-16%{?dist}
     643# Requires:       rtems-4.11-sparc64-rtems4.11-newlib = %{newlib_version}-17%{?dist}
    645644# License:      GPL
    646645
     
    660659Version:        %{gcc_rpmvers}
    661660%{?_with_noarch_subpackages:BuildArch: noarch}
    662 Requires:       rtems-4.11-sparc64-rtems4.11-newlib = %{newlib_version}-16%{?dist}
     661Requires:       rtems-4.11-sparc64-rtems4.11-newlib = %{newlib_version}-17%{?dist}
    663662License:        GPL
    664663
     
    839838License:        Distributable
    840839Version:        %{newlib_version}
    841 Release:        16%{?dist}
     840Release:        17%{?dist}
    842841%{?_with_noarch_subpackages:BuildArch: noarch}
    843842
     
    860859Group:          Development/Tools
    861860Version:        %{newlib_version}
    862 Release:        16%{?dist}
     861Release:        17%{?dist}
    863862%{?_with_noarch_subpackages:BuildArch: noarch}
    864863License:        Distributable
Note: See TracChangeset for help on using the changeset viewer.